[Rainmeter]
Update=60
Autor=Badabum
LocalFont="#SKINSPATH#\Portal\LCD.ttf"

[Variables]
LocalFontFace=LCD


[Textstyle]
FontSize=13
StringStyle=BOLD
FontColor=59,186,255,250
AntiAlias=1


[BG]
Meter=IMAGE
ImageName=#SKINSPATH#\Portal\Disk\bg.png
X=0
Y=0

[HDD C]
meter=button
X=65
Y=50
buttonimage=#SKINSPATH#\Portal\Disk\button.png
leftmousedownaction=!execute ["C:\"]
ButtonCommand=PLAY [MeasureQuote]
MouseOverAction=!Execute [!RainmeterEnableMeasure MeasureQuote][!RainmeterHideMeter (opened)][!RainmeterEnableMeasure HOLD][!RainmeterEnableMeasure FORWARD][!RainmeterShowMeter (forward)][!RainmeterRedraw]


----------------------------------------------

[MeasureQuote]
Measure=Plugin
Plugin=Plugins\QuotePlugin.dll
PathName=#SKINSPATH#\Portal\Samples
Subfolders=1
FileFilter=Disk.wav
Disabled=1

[MeasureHDD]
Measure=FreeDiskSpace
InvertMeasure=0
Drive=C:
UpdateDivider=25

[MeasureHDD1]
Measure=FreeDiskSpace
InvertMeasure=1
Drive=C:
UpdateDivider=25


[DriveUsage]
MeasureName=MeasureHDD
Meter=STRING
X=255
Y=90
MeterStyle=Textstyle
AutoScale=1
Text=" %1B Free"
FontFace=#LocalFontFace#
StringAlign=RIGHT

[MeterUsedDriveBar]
Meter=Bar
MeasureName=MeasureHDD1
X=155
Y=108
BarImage=#SKINSPATH#\Portal\Disk\bar.png
BarOrientation=HORIZONTAL

-----------------------------------------------


[OPENED]
     Measure=Calc
     Formula=90
[STOP]
     Measure=Calc
     Formula=Counter
[HOLD]
     Measure=Calc
     Formula=HOLD = 0 ? STOP : HOLD
     Disable=1
[RESET]
     Measure=Calc
     Formula=STOP - HOLD
     IfAboveValue=89
     IfAboveAction=!Execute [!RainmeterDisableMeasure HOLD]
[FORWARD]
     Measure=Calc
     MinValue=0
     MaxValue=90
     Formula=(STOP-HOLD < 90) ? STOP-HOLD : 0
     IfEqualValue=89
     IfEqualAction=!Execute [!RainmeterShowMeter (opened)][!RainmeterHideMeter (forward)][!RainmeterDisableMeasure FORWARD][!RainmeterDisableMeasure MeasureQuote][!RainmeterDisableMeasure HOLD][!RainmeterRedraw]
     Disabled=1

[INITIALIZATION]
     Measure=Calc
     Formula=STOP
     IfAboveValue=0
     IfAboveAction=!Execute [!RainmeterEnableMeasure HOLD][!RainmeterEnableMeasure FORWARD][!RainmeterShowMeter (forward)][!RainmeterRedraw]
         
[(forward)]
Meter=Image
W=206
H=200
ImageName=C\[FORWARD].png
DynamicVariables=1
Hidden=1

[(opened)]
Meter=Image
W=206
H=200
ImageName=C\0.png
Hidden=1
